import nock from 'nock';
export const trackSubscription = {
    partnerAction: 'trackEvent',
    name: 'Track',
    enabled: true,
    subscribe: 'type = "track"',
    mapping: {
        name: {
            '@path': '$.name'
        },
        properties: {
            '@path': '$.properties'
        }
    }
};
export const identifySubscription = {
    partnerAction: 'identifyUser',
    name: 'Identify',
    enabled: true,
    subscribe: 'type = "identify"',
    mapping: {
        userId: {
            '@path': '$.userId'
        },
        traits: {
            '@path': '$.traits'
        }
    }
};
export const REPLAYBIRD_API_KEY = 'secret';
export const createMockedReplaybirdJsSdk = () => {
    return {
        apiKey: REPLAYBIRD_API_KEY,
        init: jest.fn(),
        capture: jest.fn(),
        identify: jest.fn()
    };
};
export const mockReplaybirdJsHttpRequest = () => {
    nock('https://cdn.replaybird.com').get(`/agent/latest/replaybird.js`).reply(200, {});
};
export const subscriptions = [trackSubscription, identifySubscription];
//# sourceMappingURL=utils.js.map